Skip to content

Essence Supplier Management API ​

All OpenAPI documents

Version v1 · OpenAPI 3.0.1 · 227 operations · Download the JSON document

API for managing suppliers, vendors, and performance tracking

Generated from the Supplier service's code at build time (api-specs/generated/Supplier/Essence.Compliance.Supplier.Api.json) and drift-checked in CI. It describes what the code registers, which is not the same as what any one deployment has routed.

ComplianceGate

GET/api/v1/suppliers/compliance-gate/webhook-dead-letters

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdquerystring (uuid)no—
includeDeliveredquerybooleanno—
limitqueryinteger (int32)no—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/suppliers/compliance-gate/webhook-dead-letters/{attemptId}/replay

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
attemptIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/compliance-gate/webhooks

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
activeOnlyquerybooleanno—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
POST/api/v1/suppliers/compliance-gate/webhooks

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
DELETE/api/v1/suppliers/compliance-gate/webhooks/{webhookId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
webhookIdpathstring (uuid)yes—

Request body

No request body.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/compliance-status

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
freshquerybooleanno—
purchaseOrderReferencequerystringno—
invoiceReferencequerystringno—
supplyValueAedquerynumber (double)no—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
503Service Unavailable

EudrConsignments

GET/api/v1/suppliers/eudr/consignments

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
POST/api/v1/suppliers/eudr/consignments

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/eudr/consignments/{consignmentRef}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
consignmentRefpathstringyes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/eudr/consignments/{consignmentRef}/authority-response

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
consignmentRefpathstringyes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/eudr/consignments/{consignmentRef}/evidence-pack

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
consignmentRefpathstringyes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/eudr/consignments/{consignmentRef}/filings

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
consignmentRefpathstringyes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
503Service Unavailable
GET/api/v1/suppliers/eudr/consignments/{consignmentRef}/inspection

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
consignmentRefpathstringyes—
audiencequerystringno—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/eudr/consignments/{consignmentRef}/inspections

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
consignmentRefpathstringyes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/eudr/consignments/{consignmentRef}/signer-sign-off

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
consignmentRefpathstringyes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

Form1Issuances

GET/api/v1/suppliers/form1/issuances

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdquerystring (uuid)no—
lotReferencequerystringno—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
POST/api/v1/suppliers/form1/issuances

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

201Created — Form1IssuanceDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/form1/issuances/batch

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/form1/issuances/{trackingNumber}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
trackingNumberpathstringyes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/form1/issuances/{trackingNumber}/supersede

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
trackingNumberpathstringyes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/form1/issuances/{trackingNumber}/withdraw

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
trackingNumberpathstringyes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/form1/templates

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
PUT/api/v1/suppliers/form1/templates

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails

Form1Registry

GET/api/v1/suppliers/form1/registry/resolve

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
referencequerystringno—
partSerialNumberquerystringno—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails

OrganizationCarbonCredits

GET/api/v1/organizations/{organizationId}/carbon-credits/purchases

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/organizations/{organizationId}/carbon-credits/purchases

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — CarbonPurchaseDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/organizations/{organizationId}/carbon-credits/retirements

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/organizations/{organizationId}/carbon-credits/retirements

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — CarbonRetirementDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/organizations/{organizationId}/carbon-credits/retirements/{retirementId}/anchor

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
retirementIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/organizations/{organizationId}/carbon-credits/retirements/{retirementId}/check

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
retirementIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/organizations/{organizationId}/carbon-credits/retirements/{retirementId}/failure

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
retirementIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/organizations/{organizationId}/carbon-credits/retirements/{retirementId}/receipt

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
retirementIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

OrganizationEsgAttestations

GET/api/v1/organizations/{organizationId}/esg-attestations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/organizations/{organizationId}/esg-attestations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — EsgAttestationDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/organizations/{organizationId}/esg-attestations/{attestationId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
attestationIdpathstringyes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

OrganizationFoodSafetyAttestations

GET/api/v1/organizations/{organizationId}/food-safety-attestations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/organizations/{organizationId}/food-safety-attestations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/organizations/{organizationId}/food-safety-issuer-keys

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/organizations/{organizationId}/food-safety-issuer-keys

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — FoodSafetyIssuerKeyDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
DELETE/api/v1/organizations/{organizationId}/food-safety-issuer-keys/{keyId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
keyIdpathstringyes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

Reassessment

GET/api/v1/suppliers/reassessment-activity

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
GET/api/v1/suppliers/reassessment-authority

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
GET/api/v1/suppliers/reassessment-cycles

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

200OK — CycleRunDto[]
403Forbidden — ProblemDetails
POST/api/v1/suppliers/reassessment-cycles

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

200OK — CycleRunDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/reassessment-cycles/{cycleId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
cycleIdpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — CycleRunDto
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/reassessment-cycles/{cycleId}/approve

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
cycleIdpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — CycleRunDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/reassessment-cycles/{cycleId}/cancel

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
cycleIdpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — CycleRunDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/reassessment-cycles/{cycleId}/remediation-notices

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
cycleIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/reassessment-cycles/{cycleId}/remediation-notices

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
cycleIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/reassessment-policies

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
POST/api/v1/suppliers/reassessment-policies

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
PUT/api/v1/suppliers/reassessment-policies/{policyId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
policyIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/reassessment-remediation-sla

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
PUT/api/v1/suppliers/reassessment-remediation-sla

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails

RosterEligibility

GET/api/v1/roster-eligibility/rules/{organizationId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
PUT/api/v1/roster-eligibility/rules/{organizationId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails

SupplierBankDetailChanges

GET/api/v1/suppliers/{supplierId}/bank-detail-changes

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
GET/api/v1/suppliers/{supplierId}/bank-detail-changes/{changeId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/bank-detail-changes/{changeId}/approve

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/{supplierId}/bank-detail-changes/{changeId}/cancel

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/{supplierId}/bank-detail-changes/{changeId}/refuse

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/{supplierId}/bank-detail-changes/{changeId}/verify

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
409Conflict — ProblemDetails

SupplierBondCalls

GET/api/v1/suppliers/bond-calls

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdquerystring (uuid)no—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
POST/api/v1/suppliers/bond-calls

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

201Created — BondCallDetailDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/bond-calls/{bondCallId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
bondCallIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/bond-calls/{bondCallId}/approvals

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
bondCallIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/bond-calls/{bondCallId}/demand

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
bondCallIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/bond-calls/{bondCallId}/links

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
bondCallIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/bond-calls/{bondCallId}/links/{linkId}/anchor

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
bondCallIdpathstring (uuid)yes—
linkIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/bond-calls/{bondCallId}/surety-response

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
bondCallIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierBulkImport

POST/api/v1/suppliers/import

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

  • object as multipart/form-data

Responses

400Bad Request — ProblemDetails

SupplierComplianceLifecycle

GET/api/v1/suppliers/{id}/audit

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
actionquerystringno—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/credentials

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/credentials/{credentialId}/verify

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
credentialIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/{id}/reinstate

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/{id}/sanctions-cases

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/sanctions-cases/{caseId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
caseIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/sanctions-cases/{caseId}/adjudication

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
caseIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
503Service Unavailable — ProblemDetails
POST/api/v1/suppliers/{id}/sanctions-cases/{caseId}/override

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
caseIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierContinuityPlans

GET/api/v1/suppliers/continuity-plans

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
categoryquerystringno—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/suppliers/continuity-plans

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

201Created — ContinuityPlanDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/continuity-plans/{planId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
planIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
DELETE/api/v1/suppliers/continuity-plans/{planId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
planIdpathstring (uuid)yes—

Request body

No request body.

Responses

204No Content
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/continuity-plans/{planId}/activation

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
planIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/continuity-plans/{planId}/activation/close

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
planIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/continuity-plans/{planId}/activation/override

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
planIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
PUT/api/v1/suppliers/continuity-plans/{planId}/alternate

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
planIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierDashboard

GET/api/v1/organizations/{organizationId}/dashboard

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

SupplierDelivery

GET/api/v1/suppliers/{supplierId}/delivery/goods-receipts

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
purchaseOrderReferencequerystringno—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/delivery/goods-receipts

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — GoodsReceivedRecordDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/delivery/issues

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — SupplierIncidentDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/{supplierId}/delivery/metrics

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/delivery/metrics

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

SupplierEsg

GET/api/v1/suppliers/esg/report

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

200OK — EsgReportDto
403Forbidden — ProblemDetails
GET/api/v1/suppliers/{supplierId}/esg

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
PATCH/api/v1/suppliers/{supplierId}/esg

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/{supplierId}/esg/evidence-sources

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
POST/api/v1/suppliers/{supplierId}/esg/evidence-sources

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
DELETE/api/v1/suppliers/{supplierId}/esg/evidence-sources/{sourceId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
sourceIdpathstring (uuid)yes—

Request body

No request body.

Responses

204No Content
403Forbidden — ProblemDetails

SupplierFinancial

GET/api/v1/suppliers/financial/concentration

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
GET/api/v1/suppliers/{supplierId}/financial

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
PATCH/api/v1/suppliers/{supplierId}/financial

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/financial/credit-check

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
429Too Many Requests — ProblemDetails
GET/api/v1/suppliers/{supplierId}/financial/spend

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails

SupplierFoodSafetyAttestations

GET/api/v1/supplier-food-safety-attestations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdquerystring (uuid)no—
consignmentReferencequerystringno—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

SupplierGatePolicy

GET/api/v1/organizations/{organizationId}/supplier-gate-policy

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — GatePolicyDto
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
PUT/api/v1/organizations/{organizationId}/supplier-gate-policy

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

200OK — GatePolicyDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/organizations/{organizationId}/supplier-gate-policy/changes

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/organizations/{organizationId}/supplier-gate-policy/preview

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails

SupplierInsurance

GET/api/v1/suppliers/{supplierId}/insurance

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/insurance

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — SupplierInsuranceDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/{supplierId}/insurance/adequacy

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
DELETE/api/v1/suppliers/{supplierId}/insurance/{insuranceId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
insuranceIdpathstring (uuid)yes—

Request body

No request body.

Responses

204No Content
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
PATCH/api/v1/suppliers/{supplierId}/insurance/{insuranceId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
insuranceIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/insurance/{insuranceId}/renew

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
insuranceIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails

SupplierKpi

GET/api/v1/organizations/{organizationId}/kpi-definitions

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
POST/api/v1/organizations/{organizationId}/kpi-definitions

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — KpiDefinitionDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails

SupplierPortal

POST/api/v1/supplier-portal/sessions

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
GET/api/v1/supplier-portal/suppliers/{supplierId}/profile

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/supplier-portal/suppliers/{supplierId}/remediation-notices

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
404Not Found — ProblemDetails

SupplierPortalBankDetailChanges

GET/api/v1/supplier-portal/suppliers/{supplierId}/bank-detail-changes

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/supplier-portal/suppliers/{supplierId}/bank-detail-changes

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
422Unprocessable Content — ProblemDetails
POST/api/v1/supplier-portal/suppliers/{supplierId}/bank-detail-changes/{changeId}/cancel

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierPortalContext

GET/api/v1/suppliers/portal/me

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
404Not Found — ProblemDetails

SupplierPortalCredentialUploads

POST/api/v1/supplier-portal/suppliers/{supplierId}/credential-uploads

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — SupplierCredentialDto
400Bad Request — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/supplier-portal/suppliers/{supplierId}/credential-uploads/target

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierPortalExit

POST/api/v1/supplier-portal/suppliers/{supplierId}/exit

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

200OK — SupplierExitDto
400Bad Request — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierPortalInvitations

POST/api/v1/suppliers/{supplierId}/portal-invitations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

SupplierPortalProfileChanges

GET/api/v1/supplier-portal/suppliers/{supplierId}/profile-changes

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/supplier-portal/suppliers/{supplierId}/profile-changes

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierProfileChanges

GET/api/v1/suppliers/{supplierId}/profile-changes

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/profile-changes/{changeId}/accept

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/suppliers/{supplierId}/profile-changes/{changeId}/reject

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
changeIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierReports

GET/api/v1/organizations/{organizationId}/supplier-reports/compliance

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
formatquerystringno—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
GET/api/v1/organizations/{organizationId}/supplier-reports/esg

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
formatquerystringno—

Request body

No request body.

Responses

GET/api/v1/organizations/{organizationId}/supplier-reports/expiry-forecast

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
daysAheadqueryinteger (int32)no—
formatquerystringno—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
GET/api/v1/organizations/{organizationId}/supplier-reports/risk

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
formatquerystringno—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
GET/api/v1/organizations/{organizationId}/supplier-reports/spend

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
formatquerystringno—

Request body

No request body.

Responses

SupplierRiskMitigation

POST/api/v1/suppliers/{supplierId}/risk-assessment

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
429Too Many Requests — ProblemDetails
GET/api/v1/suppliers/{supplierId}/risk-mitigation-plans

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/risk-mitigation-plans

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — RiskMitigationPlanDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/risk-mitigation-plans/{planId}/activate

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
planIdpathstring (uuid)yes—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/risk-mitigation-plans/{planId}/cancel

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
planIdpathstring (uuid)yes—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/risk-mitigation-plans/{planId}/complete

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
planIdpathstring (uuid)yes—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

SupplierRiskSettings

GET/api/v1/suppliers/risk-settings

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

200OK — RiskSettingsDto
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
PUT/api/v1/suppliers/risk-settings

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

200OK — RiskSettingsDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails

Suppliers

POST/api/v1/Suppliers

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

201Created — SupplierDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
GET/api/v1/Suppliers/linked-buyers

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/Suppliers/linked-buyers/{buyerOrganizationId}/exit

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
buyerOrganizationIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

200OK — SupplierExitDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/Suppliers/organization/{organizationId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
cursorquerystringno—
limitqueryinteger (int32)no—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
GET/api/v1/Suppliers/organization/{organizationId}/credentials/expiring

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
daysThresholdqueryinteger (int32)no—

Request body

No request body.

Responses

200OK — SupplierDto[]
401Unauthorized — ProblemDetails
GET/api/v1/Suppliers/organization/{organizationId}/requiring-review

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — SupplierDto[]
401Unauthorized — ProblemDetails
GET/api/v1/Suppliers/organization/{organizationId}/risk-level/{riskLevel}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
riskLevelpathSupplierRiskLevelyes—
cursorquerystringno—
limitqueryinteger (int32)no—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
GET/api/v1/Suppliers/organization/{organizationId}/status/{status}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
organizationIdpathstring (uuid)yes—
statuspathSupplierStatusyes—
cursorquerystringno—
limitqueryinteger (int32)no—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
GET/api/v1/Suppliers/{id}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — SupplierDto
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/approve

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
PUT/api/v1/Suppliers/{id}/contract

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/credentials

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/Suppliers/{id}/credentials/expiry

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
daysThresholdqueryinteger (int32)no—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
DELETE/api/v1/Suppliers/{id}/credentials/{credentialId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
credentialIdpathstring (uuid)yes—

Request body

No request body.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
PATCH/api/v1/Suppliers/{id}/credentials/{credentialId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
credentialIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
PUT/api/v1/Suppliers/{id}/data-categories

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/dpa

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/escalate

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/Suppliers/{id}/generate-contract

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
502Bad Gateway
POST/api/v1/Suppliers/{id}/hold

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/link

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/offboard

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/Suppliers/{id}/offboarding

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/offboarding/steps/{step}/complete

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
steppathOffboardingStepKindyes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/Suppliers/{id}/offboarding/steps/{step}/waive

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
steppathOffboardingStepKindyes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/Suppliers/{id}/reactivate

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/register-verification

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/register-verification/manual-review

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
PUT/api/v1/Suppliers/{id}/risk-level

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/schedule-review

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/Suppliers/{id}/suspend

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/Suppliers/{id}/terminate

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

204No Content
401Unauthorized — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplierScorecards

GET/api/v1/suppliers/{supplierId}/scorecards

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
limitqueryinteger (int32)no—

Request body

No request body.

Responses

200OK — ScorecardDto[]
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/scorecards

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — ScorecardDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

SupplierSizeAndDiversity

GET/api/v1/suppliers/{id}/diversity-status

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/sme-size

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
PUT/api/v1/suppliers/{id}/sme-size

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
404Not Found — ProblemDetails

SupplierVerification

GET/api/v1/suppliers/verification-attestations

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

POST/api/v1/suppliers/verification-attestations

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/verification-files/{fileId}/inspection

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
fileIdpathstring (uuid)yes—
X-Inspection-Tokenheaderstringno—
formatquerystringno—

Request body

No request body.

Responses

200OK
404Not Found — ProblemDetails
GET/api/v1/suppliers/verification-policy

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
PUT/api/v1/suppliers/verification-policy

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
GET/api/v1/suppliers/verification-policy/versions

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
POST/api/v1/suppliers/verification-presets/uae-vat-decision-13

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

403Forbidden — ProblemDetails
GET/api/v1/suppliers/{id}/check-reviews

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/check-reviews

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — SupplierCheckReviewDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/{id}/verification-files

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/verification-files

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/verification-files/{fileId}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
fileIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/verification-files/{fileId}/anchor

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
fileIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/suppliers/{id}/verification-files/{fileId}/inspector-grants

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
fileIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/verification-files/{fileId}/inspector-grants

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
fileIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/verification-files/{fileId}/inspector-grants/{grantId}/revoke

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
fileIdpathstring (uuid)yes—
grantIdpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/verification-files/{fileId}/manifest

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
fileIdpathstring (uuid)yes—

Request body

No request body.

Responses

200OK
404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/verification-files/{fileId}/pdf

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
fileIdpathstring (uuid)yes—

Request body

No request body.

Responses

200OK
404Not Found — ProblemDetails
GET/api/v1/suppliers/{id}/verification-receipts

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

404Not Found — ProblemDetails
POST/api/v1/suppliers/{id}/verification-receipts/{receiptId}/anchor

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
receiptIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

404Not Found — ProblemDetails
409Conflict — ProblemDetails

SupplyVerifications

GET/api/v1/suppliers/{supplierId}/supply-verifications

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—
purchaseOrderReferencequerystringno—
invoiceReferencequerystringno—
takequeryinteger (int32)no—

Request body

No request body.

Responses

403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/suppliers/{supplierId}/supply-verifications

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
supplierIdpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

201Created — SupplyVerificationDto
400Bad Request — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails

Tenders

GET/api/v1/tenders

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
POST/api/v1/tenders

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

Not marked as required in the document.

Responses

201Created — TenderDetailDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
GET/api/v1/tenders/invitations

Authentication: not declared in the document

Parameters

Takes no parameters.

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
GET/api/v1/tenders/{id}

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — TenderDetailDto
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/tenders/{id}/access-log

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/tenders/{id}/available-evidence

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/tenders/{id}/award

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — AwardOutcomeDto
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/tenders/{id}/award

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

200OK — AwardOutcomeDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/tenders/{id}/bid/access-log

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
GET/api/v1/tenders/{id}/bids

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — BidDto[]
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/tenders/{id}/cancel

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

200OK — TenderDetailDto
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/tenders/{id}/coi-attestations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/tenders/{id}/coi-attestations

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/tenders/{id}/debrief

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — DebriefPackDto
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
POST/api/v1/tenders/{id}/responses

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
GET/api/v1/tenders/{id}/scores

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

200OK — BidScoreDto[]
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
PUT/api/v1/tenders/{id}/scores

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

Not marked as required in the document.

Responses

200OK — BidScoreDto[]
400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/tenders/{id}/stages/{stageId}/outcome

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—
stageIdpathstring (uuid)yes—

Request body

No request body.

Responses

400Bad Request — ProblemDetails
401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails
POST/api/v1/tenders/{id}/withdraw

Authentication: not declared in the document

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)yes—

Request body

No request body.

Responses

401Unauthorized — ProblemDetails
403Forbidden — ProblemDetails
404Not Found — ProblemDetails
409Conflict — ProblemDetails

Schemas

ActivateContinuityAlternateRequestDto

PropertyTypeRequiredDescription
reasonstring | nullno—

AddBondCallLinkCommand

PropertyTypeRequiredDescription
anchorIdstring | nullno—
anchoredAtstring (date-time) | nullno—
bondCallChainIdstring (uuid)no—
contentHashstring | nullno—
derivedFromLinkIdstring (uuid) | nullno—
linkTypestring | nullno—
referenceIdstring (uuid) | nullno—
referenceLabelstring | nullno—
requestingOrganizationIdstring (uuid)no—

AddCredentialCommand

PropertyTypeRequiredDescription
attributesmap<string, string> | nullno—
certificateNumberstring | nullno—
expirationDatestring (date-time)no—
isRequiredbooleanno—
issueDatestring (date-time)no—
issuerstring | nullno—
namestring | nullno—
requestingOrganizationIdstring (uuid)no—
supplierIdstring (uuid)no—
typeCredentialTypeno—

AddInsuranceCommand

PropertyTypeRequiredDescription
coverageAmountnumber (double)no—
coverageCurrencystring | nullno—
documentIdstring (uuid) | nullno—
expiryDatestring (date-time)no—
insuranceTypeInsuranceTypeno—
meetsMinimumbooleanno—
notesstring | nullno—
policyNumberstring | nullno—
providerstring | nullno—
requestingOrganizationIdstring (uuid)no—
startDatestring (date-time)no—
supplierIdstring (uuid)no—
territorystring | nullno—

AdjudicateSanctionsCaseRequestDto

PropertyTypeRequiredDescription
reasonstring | nullno—
verdictSanctionsCaseStatusno—

AdoptVerificationPolicyRequestDto

PropertyTypeRequiredDescription
performerRolesstring[] | nullno—
reviewerRolesstring[] | nullno—
statementstring | nullno—
supervisorRolesstring[] | nullno—

AnchorBondCallLinkCommand

PropertyTypeRequiredDescription
actorUserIdstring (uuid)no—
anchorIdstring | nullno—
anchoredAtstring (date-time)no—
bondCallChainIdstring (uuid)no—
linkIdstring (uuid)no—
requestingOrganizationIdstring (uuid)no—

AnchorProofDto

PropertyTypeRequiredDescription
anchorIdstring | nullno—
anchoredAtstring (date-time) | nullno—
blockHeightinteger (int64)no—
contentHashHexstring | nullno—
statestring | nullno—
txHashstring | nullno—

ApplyCarbonCheckRequestDto

PropertyTypeRequiredDescription
reportunspecifiedno—

ApproveSupplierCommand

PropertyTypeRequiredDescription
approvedBystring (uuid)no—
requestingOrganizationIdstring (uuid)no—
supplierIdstring (uuid)no—

AttachCarbonAnchorRequestDto

PropertyTypeRequiredDescription
anchorIdstring | nullno—
anchoredAtstring (date-time) | nullno—
blockHeightinteger (int64)no—
contentHashHexstring | nullno—
statestring | nullno—
txHashstring | nullno—

AttachDpaCommand

PropertyTypeRequiredDescription
dpaReferencestring | nullno—
requestingOrganizationIdstring (uuid)no—
supplierIdstring (uuid)no—

AttestConflictOfInterestRequestDto

PropertyTypeRequiredDescription
conflictDeclaredbooleanno—
declaredIntereststring | nullno—

AttestVerificationPeriodRequestDto

PropertyTypeRequiredDescription
periodEndstring (date-time)no—
periodStartstring (date-time)no—
statementstring | nullno—

AwardEvaluatorDto

PropertyTypeRequiredDescription
coiAttestedbooleanno—
coiEntriesCoiAttestationEntryDto[] | nullno—
conflictDeclaredbooleanno—
declaredIntereststring | nullno—
evaluatorIdstring (uuid)no—
evaluatorNamestring | nullno—

AwardEvidenceLineDto

PropertyTypeRequiredDescription
bidIdstring (uuid)no—
changedSinceAwardbooleanno—
credentialIdstring (uuid)no—
currentStatusstring | nullno—
expiresAtAwardstring (date-time) | nullno—
flaggedbooleanno—
labelstring | nullno—
statusAtAwardstring | nullno—
typeCodestring | nullno—
verifiedAtAwardbooleanno—

AwardOutcomeDto

PropertyTypeRequiredDescription
awardIdstring (uuid)no—
bidderReasonsstring | nullno—
consentExpiryLedgerConsentExpiryLedgerEntryDto[] | nullno—
decidedAtstring (date-time)no—
decidedByNamestring | nullno—
evaluatorsAwardEvaluatorDto[] | nullno—
evidenceProvenanceAwardEvidenceLineDto[] | nullno—
evidenceProvenanceRecordedbooleanno—
flaggedEvidenceCountinteger (int32)no—
notifiedCountinteger (int32)no—
rationalestring | nullno—
scoresAwardScoreLineDto[] | nullno—
tenderIdstring (uuid)no—
winningBidIdstring (uuid)no—
winningSupplierNamestring | nullno—

AwardRequestDto

PropertyTypeRequiredDescription
bidderReasonsstring | nullno—
rationalestring | nullno—
winningBidIdstring (uuid)no—

AwardScoreLineDto

PropertyTypeRequiredDescription
belowGatebooleanno—
bidIdstring (uuid)no—
evidenceFlaggedbooleanno—
notifiedbooleanno—
outcomestring | nullno—
supplierNamestring | nullno—
weightedTotalnumber (double)no—

BidAccessLogEntryDto

PropertyTypeRequiredDescription
actorNamestring | nullno—
bidIdstring (uuid)no—
evidenceTypeCodestring | nullno—
idstring (uuid)no—
occurredAtstring (date-time)no—
supplierNamestring | nullno—

BidDto

PropertyTypeRequiredDescription
consentExpiresAtstring (date-time) | nullno—
consentGrantIdstring (uuid) | nullno—
evidenceEvidenceReferenceDto[] | nullno—
idstring (uuid)no—
stageGrantsBidStageGrantDto[] | nullno—
stageOutcomesBidStageOutcomeDto[] | nullno—
statusstring | nullno—
submittedAtstring (date-time) | nullno—
supplierIdstring (uuid)no—
supplierNamestring | nullno—
tenderIdstring (uuid)no—

BidScoreDto

PropertyTypeRequiredDescription
bidIdstring (uuid)no—
commentstring | nullno—
criterionIdstring (uuid)no—
scoreinteger (int32) | nullno—

BidStageGrantDto

PropertyTypeRequiredDescription
closedAtstring (date-time) | nullno—
expiresAtstring (date-time)no—
grantIdstring (uuid)no—
stageIdstring (uuid)no—
stageKindstring | nullno—
statusstring | nullno—

BidStageOutcomeDto

PropertyTypeRequiredDescription
bidIdstring (uuid)no—
failedCriterionIds(string (uuid))[] | nullno—
outcomestring | nullno—
recordedAtstring (date-time)no—
stageIdstring (uuid)no—
stageKindstring | nullno—

BindEsgEvidenceSourceRequestDto

PropertyTypeRequiredDescription
componentstring | nullno—
feedIdstring | nullno—
feedLabelstring | nullno—
freshnessMaxAgeHoursinteger (int32)no—
metricstring | nullno—
minimumReadingsinteger (int32)no—
requireAnchoredReadingsbooleanno—
unitstring | nullno—

BlockingIssueDto

PropertyTypeRequiredDescription
categorystring | nullno—
codestring | nullno—
descriptionstring | nullno—
relatedEntityIdstring (uuid) | nullno—
sincestring (date-time) | nullno—

BondCallApprovalDto

PropertyTypeRequiredDescription
approvedAtstring (date-time)no—
approverUserIdstring (uuid)no—
idstring (uuid)no—
notestring | nullno—

BondCallChainLinkDto

PropertyTypeRequiredDescription
anchorIdstring | nullno—
anchoredAtstring (date-time) | nullno—
contentHashstring | nullno—
createdAtstring (date-time)no—
derivedFromLinkIdstring (uuid) | nullno—
idstring (uuid)no—
isAnchoredbooleanno—
linkTypestring | nullno—
referenceIdstring (uuid) | nullno—
referenceLabelstring | nullno—
sourceEpicinteger (int32)no—

BondCallDetailDto

PropertyTypeRequiredDescription
amountDemandednumber (double) | nullno—
approvalsBondCallApprovalDto[] | nullno—
bondCallRecordIdstring (uuid) | nullno—
bondExpiresOnstring (date-time)no—
bondInstrumentIdstring (uuid) | nullno—
bondReferencestring | nullno—
bondSourcestring | nullno—
bondValuenumber (double)no—
contractReferencestring | nullno—
currencystring | nullno—
declaredAtstring (date-time)no—
declaredByUserIdstring (uuid)no—
defaultSummarystring | nullno—
demandChannelstring | nullno—
demandIssuedAtstring (date-time) | nullno—
idstring (uuid)no—
isAuthorisedbooleanno—
linksBondCallChainLinkDto[] | nullno—
readinessBondCallReadinessDtono—
requiredApprovalsinteger (int32)no—
statusstring | nullno—
supplierIdstring (uuid)no—
suretyNamestring | nullno—
timelineBondCallStatusEventDto[] | nullno—
titlestring | nullno—

BondCallReadinessCheckDto

PropertyTypeRequiredDescription
blockingbooleanno—
detailstring | nullno—
idstring | nullno—
labelstring | nullno—
satisfiedbooleanno—

BondCallReadinessDto

PropertyTypeRequiredDescription
checksBondCallReadinessCheckDto[] | nullno—
isReadybooleanno—

BondCallStatusEventDto

PropertyTypeRequiredDescription
idstring (uuid)no—
notestring | nullno—
occurredAtstring (date-time)no—
recordedByUserIdstring (uuid)no—
statusstring | nullno—

BondCallSummaryDto

PropertyTypeRequiredDescription
amountDemandednumber (double) | nullno—
bondExpiresOnstring (date-time)no—
bondReferencestring | nullno—
bondSourcestring | nullno—
bondValuenumber (double)no—
contractReferencestring | nullno—
currencystring | nullno—
declaredAtstring (date-time)no—
demandIssuedAtstring (date-time) | nullno—
idstring (uuid)no—
statusstring | nullno—
supplierIdstring (uuid)no—
suretyNamestring | nullno—
titlestring | nullno—

BreachedMilestoneInput

PropertyTypeRequiredDescription
labelstring | nullno—
milestoneIdstring (uuid) | nullno—

BulkImportRowResult

PropertyTypeRequiredDescription
errorCodestring | nullno—
externalSupplierKeystring | nullno—
messagestring | nullno—
rowinteger (int32)no—
statusstring | nullno—
supplierIdstring (uuid) | nullno—

BulkImportSummary

PropertyTypeRequiredDescription
cancelledbooleanno—
createdinteger (int32)no—
errorsinteger (int32)no—
resultsBulkImportRowResult[] | nullno—
skippedinteger (int32)no—
totalRowsinteger (int32)no—
updatedinteger (int32)no—

CancelSupplierBankDetailChangeRequest

PropertyTypeRequiredDescription
reasonstring | nullno—

CancelTenderRequestDto

PropertyTypeRequiredDescription
reasonstring | nullno—

CarbonPurchaseDto

PropertyTypeRequiredDescription
currencystring | nullno—
evidenceDocumentIdstring (uuid) | nullno—
idstring (uuid)no—
organizationIdstring (uuid)no—
paymentReferencestring | nullno—
pricePaidMinorUnitsinteger (int64) | nullno—
purchasedOnstring (date-time)no—
recordedAtstring (date-time)no—
recordedBystring | nullno—
registryCodestring | nullno—
serialsCreditSerialDto[] | nullno—
tonnesCo2enumber (double)no—
vintageYearinteger (int32)no—

CarbonRetirementDto

PropertyTypeRequiredDescription
anchorAnchorProofDtono—
checkunspecified | nullno—
createdAtstring (date-time)no—
failureReasonstring | nullno—
idstring (uuid)no—
organizationIdstring (uuid)no—
purchaseRecordIdstring (uuid)no—
receiptRegistryReceiptDtono—
registryCodestring | nullno—
retiredBystring | nullno—
serialsCreditSerialDto[] | nullno—
statusstring | nullno—
tonnesCo2enumber (double)no—

CategoryRequirementDto

PropertyTypeRequiredDescription
categorystring | nullno—
ndaRequiredbooleanno—
requiredCredentialTypesstring[] | nullno—

CloseContinuityFailoverRequestDto

PropertyTypeRequiredDescription
notestring | nullno—
outcomestring | nullno—

CohortFilterDto

PropertyTypeRequiredDescription
categoriesstring[] | nullno—
countriesstring[] | nullno—
riskLevelsstring[] | nullno—
spendBandsstring[] | nullno—
statusesstring[] | nullno—

CoiAttestationDto

PropertyTypeRequiredDescription
attestedAtstring (date-time)no—
conflictDeclaredbooleanno—
conflictWithdrawnbooleanno—
declaredIntereststring | nullno—
entriesCoiAttestationEntryDto[] | nullno—
evaluatorIdstring (uuid)no—
evaluatorNamestring | nullno—
tenderIdstring (uuid)no—

CoiAttestationEntryDto

PropertyTypeRequiredDescription
attestedAtstring (date-time)no—
conflictDeclaredbooleanno—
declaredIntereststring | nullno—

CompleteOffboardingStepRequestDto

PropertyTypeRequiredDescription
notestring | nullno—

ComplianceGateWebhookDto

PropertyTypeRequiredDescription
activebooleanno—
createdAtstring (date-time)no—
descriptionstring | nullno—
disabledAtstring (date-time) | nullno—
failureCountinteger (int32)no—
idstring (uuid)no—
lastDeliveryAtstring (date-time) | nullno—
organizationIdstring (uuid)no—
urlstring | nullno—

ComplianceStatusDto

PropertyTypeRequiredDescription
blockingIssuesBlockingIssueDto[] | nullno—
compliantbooleanno—
compositeRiskScorenumber (double)no—
computedAtstring (date-time)no—
expiringItemsExpiringItemDto[] | nullno—
outcomestring | nullno—
riskLevelSupplierRiskLevelno—
suspendedbooleanno—
warningsBlockingIssueDto[] | nullno—

ComplianceWebhookDeadLetterDto

PropertyTypeRequiredDescription
attemptIdstring (uuid)no—
attemptNumberinteger (int32)no—
blockingIssueCodesstring[] | nullno—
changedAtstring (date-time) | nullno—
currentlyCompliantboolean | nullno—
deliveredSincebooleanno—
eventIdstring (uuid)no—
lastAttemptedAtstring (date-time)no—
lastErrorstring | nullno—
lastStatusCodeinteger (int32) | nullno—
supplierIdstring (uuid) | nullno—
webhookIdstring (uuid)no—
webhookUrlstring | nullno—

ComplianceWebhookReplayResultDto

PropertyTypeRequiredDescription
attemptIdstring (uuid)no—
deadLetteredAgainbooleanno—
deliveredbooleanno—
endpointUnavailablebooleanno—
rateLimitedbooleanno—

ComputeScorecardRequest

PropertyTypeRequiredDescription
observationsKpiObservationDto[] | nullno—
periodEndstring (date-time)no—
periodStartstring (date-time)no—

ConcentrationEntry

PropertyTypeRequiredDescription
annualSpendGbpnumber (double)no—
sharePctnumber (double)no—
supplierIdstring (uuid)no—
supplierNamestring | nullno—

ConfirmCarbonRetirementRequestDto

PropertyTypeRequiredDescription
beneficiarystring | nullno—
receiptIdstring | nullno—
registryCodestring | nullno—
retiredAtstring (date-time)no—

ConsentBasisRecordDto

PropertyTypeRequiredDescription
epochinteger (int32) | nullno—
expiresAtstring (date-time) | nullno—
grantIdstring (uuid) | nullno—
grantedAtstring (date-time) | nullno—
kindstring | nullno—
supplierIdstring (uuid)no—

ConsentExpiryLedgerEntryDto

PropertyTypeRequiredDescription
bidIdstring (uuid)no—
consentGrantIdstring (uuid)no—
expiredAtstring (date-time) | nullno—
failureReasonstring | nullno—
outcomestring | nullno—
supplierNamestring | nullno—

ContinuityFailoverDto

PropertyTypeRequiredDescription
activatedAtstring (date-time)no—
activatedBystring (uuid)no—
alternateSupplierIdstring (uuid)no—
closeNotestring | nullno—
closedAtstring (date-time) | nullno—
closedBystring (uuid) | nullno—
idstring (uuid)no—
outcomestring | nullno—
overriddenbooleanno—
overriddenBystring (uuid) | nullno—
overrideJustificationstring | nullno—
postureAtActivationContinuityPostureDtono—
reasonstring | nullno—

ContinuityPlanDto

PropertyTypeRequiredDescription
alternateStatestring | nullno—
alternateSupplierIdstring (uuid) | nullno—
categorystring | nullno—
createdAtstring (date-time)no—
failoversContinuityFailoverDto[] | nullno—
idstring (uuid)no—
lastActivatedAtstring (date-time) | nullno—
primarySupplierIdstring (uuid)no—
statusstring | nullno—
switchConditionsstring | nullno—
timesExercisedinteger (int32)no—
updatedAtstring (date-time) | nullno—

ContinuityPostureDto

PropertyTypeRequiredDescription
blockingIssuesContinuityPostureIssueDto[] | nullno—
compliantbooleanno—
evaluatedAtstring (date-time)no—
expiringItemsContinuityPostureIssueDto[] | nullno—
outcomestring | nullno—
supplierStatusstring | nullno—

ContinuityPostureIssueDto

PropertyTypeRequiredDescription
codestring | nullno—
datestring (date-time) | nullno—
descriptionstring | nullno—

CreateContinuityPlanRequestDto

PropertyTypeRequiredDescription
alternateSupplierIdstring (uuid) | nullno—
categorystring | nullno—
primarySupplierIdstring (uuid)no—
switchConditionsstring | nullno—

CreateKpiDefinitionRequest

PropertyTypeRequiredDescription
aggregationstring | nullno—
amberThresholdnumber (double) | nullno—
categorystring | nullno—
codestring | nullno—
descriptionstring | nullno—
greenThresholdnumber (double) | nullno—
lowerIsBetterbooleanno—
namestring | nullno—
unitstring | nullno—
weightnumber (double)no—

CreateMitigationPlanCommand

PropertyTypeRequiredDescription
actionsJsonstring | nullno—
descriptionstring | nullno—
requestingOrganizationIdstring (uuid)no—
riskDomainRiskDomainno—
supplierIdstring (uuid)no—
targetRiskReductionnumber (double) | nullno—
titlestring | nullno—

CreateSupplierCommand

PropertyTypeRequiredDescription
addressstring | nullno—
contactEmailstring | nullno—
contactPhonestring | nullno—
contractEndDatestring (date-time) | nullno—
contractStartDatestring (date-time)no—
countrystring | nullno—
legalEntityNamestring | nullno—
organizationIdstring (uuid)no—
registerAuthoritystring | nullno—
registrationNumberstring | nullno—
supplierNamestring | nullno—
taxIdstring | nullno—
typeSupplierTypeno—

CredentialType

"ISO27001" | "SOC2TypeII" | "SOC3" | "GDPRCompliance" | "HIPAACompliance" | "PCIDSS" | "CyberInsurance" | "LiabilityInsurance" | "ProfessionalIndemnity" | "PenetrationTest" | "BusinessContinuityPlan" | "DriverCpcDqc" | "DriverVocationalEntitlement" | "DriverMedicalD4" | "DigitalTachographCard" | "TradeLicence" | "TaxRegistrationCertificate" | "AuthorisedSignatory" | "BankAccountConfirmation" | "PlaceOfBusinessEvidence" | "ReputationalReview" | "MinorityOwned" | "WomenOwned" | "VeteranOwned" | "DisabilityOwned" with no declared properties.

CreditCheckResultDto

PropertyTypeRequiredDescription
checkedAtUtcstring (date-time)no—
creditLimitGbpnumber (double) | nullno—
providerstring | nullno—
ratingstring | nullno—
referencestring | nullno—
scoreinteger (int32)no—
supplierIdstring (uuid)no—

CreditSerialDto

PropertyTypeRequiredDescription
registryCodestring | nullno—
serialstring | nullno—

CycleAuthorityDto

PropertyTypeRequiredDescription
capabilitiesstring[] | nullno—
delegatedTostring | nullno—
makerCheckerRequiredbooleanno—

CycleRunDto

PropertyTypeRequiredDescription
approvedBystring | nullno—
cohortCohortFilterDtono—
completedAtstring (date-time) | nullno—
consentBasisstring | nullno—
idstring (uuid)no—
launchedAtstring (date-time)no—
launchedBystring | nullno—
organizationIdstring (uuid)no—
policyIdstring (uuid)no—
policyNamestring | nullno—
rowsScorecardRowDto[] | nullno—
scopeScopePreviewDtono—
statestring | nullno—
summaryPortfolioSummaryDtono—

DataCategory

"PersonalData" | "SensitivePersonalData" | "FinancialData" | "HealthData" | "BiometricData" | "NoPersonalData" with no declared properties.

DebriefPackDto

PropertyTypeRequiredDescription
belowGateCriteriastring[] | nullno—
bidIdstring (uuid)no—
decidedAtstring (date-time)no—
outcomestring | nullno—
ownScoresDebriefScoreDto[] | nullno—
ownWeightedTotalnumber (double) | nullno—
reasonsForBiddersstring | nullno—
tenderIdstring (uuid)no—
tenderReferencestring | nullno—

DebriefScoreDto

PropertyTypeRequiredDescription
criterionLabelstring | nullno—
maxScoreinteger (int32)no—
scorenumber (double) | nullno—

DecideSupplierBankDetailChangeRequest

PropertyTypeRequiredDescription
reasonstring | nullno—

DecideSupplierProfileChangeRequest

PropertyTypeRequiredDescription
reasonstring | nullno—

DeclareContractorDefaultCommand

PropertyTypeRequiredDescription
bondExpiresOnstring (date-time)no—
bondReferencestring | nullno—
bondValuenumber (double)no—
breachedMilestonesBreachedMilestoneInput[] | nullno—
contractDocumentIdstring (uuid) | nullno—
contractDocumentLabelstring | nullno—
contractReferencestring | nullno—
currencystring | nullno—
declaredByUserIdstring (uuid)no—
defaultSummarystring | nullno—
requestingOrganizationIdstring (uuid)no—
requiredApprovalsinteger (int32)no—
supplierIdstring (uuid)no—
suretyNamestring | nullno—
titlestring | nullno—

DeclareEudrConsignmentCommand

PropertyTypeRequiredDescription
attestationsEudrAttestationDto[] | nullno—
commoditystring | nullyes—
consignmentRefstring | nullyes—
countryCodestring | nullyes—
countryTierstring | nullyes—
evidenceEudrEvidenceItemDto[] | nullno—
hsCodestring | nullyes—
netMassKgnumber (double)yes—
plotsEudrPlotDto[] | nullno—
requestingOrganizationIdstring (uuid)no—
ruleSetEudrRiskRuleSetDtono—

DeclareSupplierOrgLinkRequestDto

PropertyTypeRequiredDescription
linkedOrgIdstring (uuid)no—

DeliveryNoteState

"Matched" | "Discrepant" | "Missing" with no declared properties.

DeliveryTrendsDto

PropertyTypeRequiredDescription
averageDefectRatePctnumber (double) | nullno—
averageOnTimePctnumber (double) | nullno—
defectChangePctnumber (double) | nullno—
fromstring (date-time)no—
onTimeChangePctnumber (double) | nullno—
periodsSupplierDeliveryMetricsDto[] | nullno—
supplierIdstring (uuid)no—
tostring (date-time)no—

DiversityAttestationDto

PropertyTypeRequiredDescription
certificateNumberstring | nullno—
credentialIdstring (uuid) | nullno—
expiresAtstring (date-time) | nullno—
issuerstring | nullno—
statestring | nullno—
typestring | nullno—
verifiedAtstring (date-time) | nullno—

DraftTenderCriterionDto

PropertyTypeRequiredDescription
labelstring | nullno—
maxScoreinteger (int32)no—
passMarkinteger (int32) | nullno—
weightnumber (double)no—

DraftTenderStageDto

PropertyTypeRequiredDescription
closesAtstring (date-time)no—
criteriaDraftTenderCriterionDto[] | nullno—
kindstring | nullno—
labelstring | nullno—
requiredEvidencestring[] | nullno—

EnrolFoodSafetyIssuerKeyRequestDto

PropertyTypeRequiredDescription
issuerReferencestring | nullno—
publicJwkstring | nullno—
schemeCodestring | nullno—

EscalateSupplierRequestDto

PropertyTypeRequiredDescription
escalationLevelinteger (int32)no—
reasonstring | nullno—

EsgAttestationDto

PropertyTypeRequiredDescription
anchorJsonNodeno—
contentJsonNodeno—
storedAtstring | nullno—

EsgEvidenceSourceDto

PropertyTypeRequiredDescription
boundAtstring | nullno—
componentstring | nullno—
feedIdstring | nullno—
feedLabelstring | nullno—
freshnessMaxAgeHoursinteger (int32)no—
idstring | nullno—
metricstring | nullno—
minimumReadingsinteger (int32)no—
requireAnchoredReadingsbooleanno—
unitstring | nullno—

EsgReportDto

PropertyTypeRequiredDescription
averageCompositenumber (double) | nullno—
averageEnvironmentalnumber (double) | nullno—
averageGovernancenumber (double) | nullno—
averageSocialnumber (double) | nullno—
modernSlaveryStatementCountinteger (int32)no—
organizationIdstring (uuid)no—
profilesSupplierEsgProfileDto[] | nullno—
supplierCountinteger (int32)no—
totalCarbonFootprintTonnesnumber (double) | nullno—

EudrAnchorReceiptDto

PropertyTypeRequiredDescription
anchorIdstring | nullyes—
artifactKindstring | nullyes—
blockHeightinteger (int64)yes—
contentHashHexstring | nullyes—
statestring | nullyes—

EudrAttestationDto

PropertyTypeRequiredDescription
attestedOnstring | nullno—
attestingOrgIdstring | nullno—
gradestring | nullyes—
plotIdstring | nullyes—
sourcestring | nullyes—
validUntilstring | nullno—

EudrChainStageDto

PropertyTypeRequiredDescription
detailstring | nullyes—
keystring | nullyes—
labelstring | nullyes—
owningEpicinteger (int32)yes—
statusstring | nullyes—

EudrConsignmentDto

PropertyTypeRequiredDescription
attestationsEudrAttestationDto[] | nullyes—
commoditystring | nullyes—
consignmentRefstring | nullyes—
countryCodestring | nullyes—
countryTierstring | nullyes—
hsCodestring | nullyes—
netMassKgnumber (double)yes—
organizationIdstring | nullyes—
plotsEudrPlotDto[] | nullyes—

EudrConsignmentWorkspaceDto

PropertyTypeRequiredDescription
asOfstring | nullyes—
consignmentEudrConsignmentDtoyes—
evidenceReceiptEudrAnchorReceiptDtono—
filingOutcomeEudrFilingOutcomeDtono—
packEudrEvidencePackDtono—
railAvailableboolean | nullno—
ruleSetEudrRiskRuleSetDtono—
signerNamestring | nullno—
signerSignedOffboolean | nullno—
statementReceiptEudrAnchorReceiptDtono—

EudrCorrectionItemDto

PropertyTypeRequiredDescription
codestring | nullyes—
detailstring | nullyes—
plotIdstring | nullno—

EudrEvidenceItemDto

PropertyTypeRequiredDescription
contentHashHexstring | nullyes—
documentIdstring | nullyes—
kindstring | nullyes—
plotIdstring | nullno—
sizeBytesinteger (int64)yes—
titlestring | nullyes—

EudrEvidencePackDto

PropertyTypeRequiredDescription
consignmentRefstring | nullyes—
contractVersioninteger (int32)yes—
itemsEudrEvidenceItemDto[] | nullyes—
kindsstring[] | nullyes—
packHashHexstring | nullyes—
totalBytesinteger (int64)yes—

EudrFilingOutcomeDto

PropertyTypeRequiredDescription
correctionsEudrCorrectionItemDto[] | nullyes—
headlinestring | nullyes—
receiptEudrFilingReceiptDtono—
recoverablebooleanyes—
statestring | nullyes—

EudrFilingReceiptDto

PropertyTypeRequiredDescription
correlationKeystring | nullyes—
ddsReferencestring | nullyes—
issuedAtstring | nullyes—
retainUntilstring | nullyes—

EudrInspectionLogEntryDto

PropertyTypeRequiredDescription
actorIdstring | nullyes—
audiencestring | nullyes—
disclosedAtstring | nullyes—
evidencePackDisclosedbooleanyes—
plotsDisclosedinteger (int32)yes—
stateAtDisclosurestring | nullyes—

EudrInspectionRecordDto

PropertyTypeRequiredDescription
audiencestring | nullyes—
chainCompletebooleanyes—
consignmentRefstring | nullyes—
ddsReferencestring | nullno—
discrepanciesEudrChainStageDto[] | nullyes—
headlinestring | nullyes—
organizationIdstring | nullyes—
plotsEudrPlotAttestationRowDto[] | nullyes—
retainUntilstring | nullno—
stagesEudrChainStageDto[] | nullyes—
statestring | nullyes—

EudrPlotAttestationRowDto

PropertyTypeRequiredDescription
areaHectaresnumber (double)yes—
attestedOnstring | nullno—
geolocationstring | nullyes—
gradestring | nullyes—
isPolygonbooleanyes—
lapsedSinceAttestedbooleanyes—
plotIdstring | nullyes—
sourcestring | nullyes—
validUntilstring | nullno—

EudrPlotDto

PropertyTypeRequiredDescription
areaHectaresnumber (double)yes—
boundary((number (double))[])[] | nullno—
countryCodestring | nullyes—
geometrystring | nullyes—
latitudenumber (double)yes—
longitudenumber (double)yes—
plotIdstring | nullyes—
productionFromstring | nullyes—
productionTostring | nullyes—

EudrRegisterEntryDto

PropertyTypeRequiredDescription
blockingPlotsinteger (int32)yes—
commoditystring | nullyes—
consignmentRefstring | nullyes—
countryCodestring | nullyes—
ddsReferencestring | nullno—
retainUntilstring | nullno—
statestring | nullyes—

EudrRiskRuleSetDto

PropertyTypeRequiredDescription
commoditystring | nullyes—
countryTierstring | nullyes—
permitSelfDeclaredbooleanyes—
requireAuthorisedSignerbooleanyes—
requiredEvidencestring[] | nullyes—

EvidenceAssessmentDto

PropertyTypeRequiredDescription
currentEvidenceRationumber (double)no—
daysToSoonestExpiryinteger (int32) | nullno—
evidenceAsOfstring (date-time) | nullno—
evidenceAsOfUnknownbooleanno—
expiredTypesstring[] | nullno—
freshnessstring | nullno—
missingTypesstring[] | nullno—
supplierIdstring (uuid)no—

EvidenceReferenceDto

PropertyTypeRequiredDescription
credentialIdstring (uuid)no—
expiresAtstring (date-time) | nullno—
issuerstring | nullno—
labelstring | nullno—
lastVerifiedAtstring (date-time) | nullno—
revalidationstring | nullno—
stageIdstring (uuid) | nullno—
typeCodestring | nullno—
verifiedbooleanno—

ExpiringItemDto

PropertyTypeRequiredDescription
daysRemaininginteger (int32)no—
expiryDatestring (date-time)no—
itemIdstring (uuid) | nullno—
itemNamestring | nullno—
itemTypestring | nullno—

FailCarbonRetirementRequestDto

PropertyTypeRequiredDescription
reasonstring | nullno—

FinancialRiskBandDto

PropertyTypeRequiredDescription
basenumber (double)no—
minScoreinteger (int32)no—

FoodSafetyAttestationDto

PropertyTypeRequiredDescription
attestationReferencestring | nullno—
attestationTypesstring[] | nullno—
boundConsignmentReferencestring | nullno—
documentDigeststring | nullno—
documentDigestAlgorithmstring | nullno—
expiresAtstring (date-time) | nullno—
isStandingbooleanno—
issuedAtstring (date-time)no—
producerOrganizationReferencestring | nullno—
recordedAtstring | nullno—
schemeCodestring | nullno—
signatureVerifiedbooleanno—
supersededAtstring (date-time) | nullno—
supersededByReferencestring | nullno—
vaultDocumentReferencestring | nullno—
verifiedByKeyIdstring | nullno—

FoodSafetyAttestationEvidenceDto

PropertyTypeRequiredDescription
attestationReferencestring | nullno—
attestationTypesstring[] | nullno—
boundConsignmentReferencestring | nullno—
expiresAtstring (date-time) | nullno—
issuedAtstring (date-time)no—
producerOrganizationReferencestring | nullno—
schemeCodestring | nullno—
signatureVerifiedbooleanno—

FoodSafetyIssuerKeyDto

PropertyTypeRequiredDescription
enrolledAtstring | nullno—
isActivebooleanno—
issuerReferencestring | nullno—
keyIdstring | nullno—
revokedAtstring (date-time) | nullno—
schemeCodestring | nullno—

Form1BatchMemberDto

PropertyTypeRequiredDescription
itemsForm1LineItemDto[] | nullyes—
remarksstring | nullno—
trackingNumberstring | nullyes—
workOrderReferencestring | nullno—

Form1IssuanceDto

PropertyTypeRequiredDescription
approvalReferencestring | nullyes—
approvingAuthoritystring | nullyes—
[...]
